import request from '@/utils/request'

// 新增白名单
export function addWhiteAPI(data) {
    return request({
        url: '/smartArchives/whitelist/add',
        method: 'POST',
        data: data,
    })
}

// 修改白名单
export function updateWhiteAPI(data) {
    return request({
        url: '/smartArchives/whitelist/edit',
        method: 'POST',
        data: data,
    })
}

// 删除白名单
export function deleteWhiteAPI(data) {
    return request({
        url: '/smartArchives/whitelist/del',
        method: 'POST',
        data: data,
    })
}

// 白名单列表
export function getWhiteListAPI(data) {
    return request({
        url: '/smartArchives/whitelist/list',
        method: 'GET',
        params: data,
    })
}
